@echo off
if %0 == a:\setup goto drivea
if %0 == a:setup goto drivea
if %0 == A:\SETUP goto drivea
if %0 == A:SETUP goto drivea
if %0 == b:\setup goto driveb
if %0 == b:setup goto driveb
if %0 == B:\SETUP goto driveb
if %0 == B:SETUP goto driveb

:usage
echo:To install Stanford Graphics:
echo:
echo:      1) Start from the C: drive and
echo:     2a) Place the disk labeled INSTALLATION DISK in drive A: 
echo:         and type A:\SETUP
echo:
echo:     or,
echo:
echo:     2b) Place the disk labeled INSTALLATION DISK in drive B: 
echo:         and type B:\SETUP
echo:
goto exitinstall

:drivea
if not exist a:\appsetup.inf goto usage
if not exist a:\install.exe goto usage
echo:
echo:Stanford Graphics Install Program...
echo:
copy a:\appsetup.inf c:\appsetup.inf > nul
copy a:\install.exe c:\install.exe > nul
copy a:\lzexpand.dll c:\lzexpand.dll > nul
c:
command /c win c:\install.exe a:\
del c:\appsetup.inf
del c:\install.exe
del c:\lzexpand.dll
goto exitinstall

:driveb
if not exist b:\appsetup.inf goto usage
if not exist b:\install.exe goto usage
echo:
echo:Stanford Graphics Install Program...
echo:
copy b:\appsetup.inf c:\appsetup.inf > nul
copy b:\install.exe c:\install.exe > nul
copy b:\lzexpand.dll c:\lzexpand.dll > nul
c:
command /c win c:\install.exe b:\
del c:\appsetup.inf
del c:\install.exe
del c:\lzexpand.dll

:exitinstall
